Bug 247335 - Remove dbus-sharp package in rawhide?
Summary: Remove dbus-sharp package in rawhide?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ndesk-dbus   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Nielsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-07 04:06 UTC by sangu
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: ndesk-dbus-0.5.2-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-21 21:18:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sangu 2007-07-07 04:06:15 UTC
Description of problem:
Remove dbus-sharp package in rawhide.
New package ndesk-dbus in rawhide 20070706.
$ rpm -q --provides ndesk-dbus
dbus-sharp = 0.64
mono(NDesk.DBus) = 1.0.0.0
ndesk-dbus = 0.5.2-7.fc8

Version-Release number of selected component (if applicable):
0.63-6.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Zeuthen 2007-07-09 15:59:30 UTC
I think ndesk-dbus needs to Obsolete dbus-sharp. Reassigning.

Comment 2 David Nielsen 2007-07-09 20:58:34 UTC
It already obsoletes dbus-sharp as was requested in the review. That being said
my plan to roll out ndesk-dbus turned out to be somewhat flawed and poorly
tested so it broke quite a few things and I asked to have it removed pending a
bit more planning with the maintainers who depend on dbus-sharp.

My time to work on this has sadly become very limited for health and personal
reasons quite suddenly hence the best thing is probably to revert to the older,
yet nonfunctional dbus-sharp dep while the ndesk-dbus transition is thought out
a bit better.

Comment 3 David Nielsen 2007-07-09 21:02:54 UTC
Okay, and let's not close this one as it is indeed a problem, my mistake.

Comment 4 David Nielsen 2007-10-21 21:18:51 UTC
I'm pushing a new update that does not obsolete dbus-sharp, both should be able
to coexist peacefully for now. Doing so in the past turned out to cause a lot of
problems, untill ndesk-dbus has wider adoption it's valuable to allow packages
like blam! to build with dbus support and that is not possible if we obsolete
dbus-sharp.

Once package ndesk-dbus-0.5.2-8 or higher hits the repo this is no longer an issue.

Closing.


Note You need to log in before you can comment on or make changes to this bug.